RagTime5ClusterManagerInternal::ColPatCParser Struct Referencefinal

low level: parser of color pattern cluster : zone 0x8042 More...

Inheritance diagram for RagTime5ClusterManagerInternal::ColPatCParser:

## Public Member Functions

| ColPatCParser (RagTime5ClusterManager &parser)
| constructor
| ~ColPatCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
virtual void | endZone ()
| end of a start zone call
virtual int | getNewZoneToParse ()
| returns to new zone to parse.
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Attributes

std::shared_ptr< RagTime5ClusterManager::Cluster > | m_cluster
| the current cluster

## Additional Inherited Members

Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

low level: parser of color pattern cluster : zone 0x8042

## Constructor & Destructor Documentation

## ColPatCParser()

RagTime5ClusterManagerInternal::ColPatCParser::ColPatCParser | ( | RagTime5ClusterManager & | parser | ) |

inline explicit

constructor

## ~ColPatCParser()

RagTime5ClusterManagerInternal::ColPatCParser::~ColPatCParser | ( |  | ) |

final

destructor

Referenced by ~ColPatCParser().

## Member Function Documentation

## getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5ClusterManagerInternal::ColPatCParser::getCluster | ( |  | ) |

inline final virtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## parseField()

bool RagTime5ClusterManagerInternal::ColPatCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## parseZone()

bool RagTime5ClusterManagerInternal::ColPatCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## m_cluster

std::shared_ptr<RagTime5ClusterManager::Cluster> RagTime5ClusterManagerInternal::ColPatCParser::m_cluster

protected

the current cluster

Referenced by ColPatCParser(), getCluster(), and parseZone().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx